<div id="nav-menu-slave-container">
    <ul id="nav-menu-slave-list">
        <li class="nav-menu-slave-item" (click)="onSelect('cart')">
            <a class="nav-menu-slave-text">{{"Cart" | localize}}</a>
            <img class="cart-img" src="assets/shopping-cart.png">
        </li>

        <li *ngFor="let category of categories" class="nav-menu-slave-item" (click)="onSelect('category', category.id)">
            <a class="nav-menu-slave-text">{{"name" | localize: category}}</a>
        </li>

        <hr class="separator">

        <li class="nav-menu-slave-item" (click)="onSelect('about')">
            <a class="nav-menu-slave-text">{{ "AboutLatam" | localize }}</a>
        </li>
        <li class="nav-menu-slave-item" (click)="onSelect('location')">
            <a class="nav-menu-slave-text">{{ "Location" | localize }}</a>
        </li>
        <li class="nav-menu-slave-item" (click)="onSelect('contact')">
            <a class="nav-menu-slave-text">{{ "Contacts" | localize }}</a>
        </li>
        <li class="nav-menu-slave-item" (click)="onSelect('delivery-and-payment')">
            <a class="nav-menu-slave-text">{{ "DeliveryAndPayment" | localize }}</a>
        </li>

        <hr class="separator">

        <li *ngIf="isAdmin()" class="nav-menu-slave-item" (click)="onSelect('orders')">
            <a class="nav-menu-slave-text">{{ "Orders" | localize }}</a>
        </li>
        <li *ngIf="isAdmin()" class="nav-menu-slave-item" (click)="onSelect('edit-shop')">
            <a class="nav-menu-slave-text">{{ "Shops" | localize }}</a>
        </li>
        <li *ngIf="isAdmin()" class="nav-menu-slave-item" (click)="onSelect('edit-product')">
            <a class="nav-menu-slave-text">{{ "Products" | localize }}</a>
        </li>

        <hr *ngIf="isAdmin()" class="separator">

        <li *ngIf="getUserName()" class="current-user" id="user-container-li">
            <div id="user-container">
              <label id="user-label" class="user-label">{{getUserName()}}</label>
              <button id="logout-btn" class="logout-btn" (click)="onLogoutClick()" ><img class="logout-image" src="assets\logout.png"></button>
            </div>
        </li>
    
        <li [hidden]="isLoggedIn()" id="user-item" class="user-item" [routerLinkActive]="['link-active']">
            <img id="user-img" class="user-img" src="assets/user.png" [routerLink]="['/login']">
        </li>
    </ul>
</div>
